Package com.google.javascript.jscomp

# Enum CodingConvention.SubclassType

java.lang.Object
java.lang.Enum<CodingConvention.SubclassType>
com.google.javascript.jscomp.CodingConvention.SubclassType

All Implemented Interfaces:
  `Serializable`, `Comparable<CodingConvention.SubclassType>`, `java.lang.constant.Constable`

Enclosing interface:
  `CodingConvention`

public static enum CodingConvention.SubclassType extends Enum<CodingConvention.SubclassType>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`INHERITS`
`MIXIN`

## Method Summary

Modifier and Type
Method
Description
`static CodingConvention.SubclassType`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static CodingConvention.SubclassType[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### INHERITS

public static final CodingConvention.SubclassType INHERITS

### MIXIN

public static final CodingConvention.SubclassType MIXIN

## Method Details

### values

public static CodingConvention.SubclassType[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static CodingConvention.SubclassType valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null